import { StorageAdapterBase } from "../../../internal";
import { LocalAdapter } from "../../../Storage";
export declare class NoOverrideAdapter extends StorageAdapterBase {
    localAdapter: LocalAdapter;
    constructor(baseAdapter: LocalAdapter);
    canRead(): boolean;
    readAsync(corpusPath: string): Promise<string>;
}
